ResultsMerger
Date: 2012-06-28

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.indexmanagement.fulltextindexlookup
Class ResultsMerger

    java.lang.Object
      java.lang.Thread
          org.gcube.indexmanagement.fulltextindexlookup.ResultsMerger

All Implemented Interfaces:
  java.lang.Runnable

    public class ResultsMerger

extends java.lang.Thread

A temporary class used to merge results from a head-partition and its sub-partitions in a round-robin manner

Version:
  0.1

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ResultsMerger(java.lang.String localResultEPR, java.util.ArrayList<FullTextIndexLookupPortType> partitionList, java.lang.String queryTerm, RSXMLWriter rsWriter)` Constructor which initiates the ResultsMerger.

Method Summary
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResultsMerger

    public ResultsMerger(java.lang.String localResultEPR,
                         java.util.ArrayList<FullTextIndexLookupPortType> partitionList,
                         java.lang.String queryTerm,
                         RSXMLWriter rsWriter)

  Constructor which initiates the ResultsMerger.

  Parameters:
    `localResultEPR` - `String` - serialization of an End Point Reference pointing to the ResultSet containing the local results (of the head-partition)
    `partitionList` - `ArrayList\` - A list of FullTextIndexLookupPortType instances of all the sub-partitions
    `queryTerm` - `String` - the original queryTerm
    `rsWriter` - `RSXMLWriter` - the ResultSet writer to be used when writing the merged results.

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD